Page MenuHomePhabricator | MITK

Missing tests in Core\Code\Rendering
Open, HighPublic

Description

This bug names all classes in Core\Code\Rendering and, if existing, any corresponding test:

No direct unit test at all:
mitkBaseRenderer
mitkGeometry2DDataMapper2D
mitkGeometry2DDataVtkMapper3D
mitkGLMapper2D (small interface class, redesign possible?))
mitkGradientBackground
mitkManufacturerLogo
mitkMapper
mitkMapper2D (small interface class, redesign possible?)
mitkMapper3D (no code => no test needed)
mitkPointSetGLMapper2D
mitkPointSetVtkMapper3D
mitkPolyDataGLMapper2D
mitkRenderWindow
mitkRenderWindowBase
mitkRenderWindowFrame
mitkShaderRepository
mitkSurfaceGLMapper2D
mitkSurfaceVtkMapper3D
mitkVolumeDataVtkMapper3D
mitkVtkEventProvider
mitkVtkMapper2D (no code => no test needed)
mitkVtkMapper3D (refactoring is needed to fuse VTK 2D with 3D)
vtkMitkApplyLevelWindowToRGBFilter
vtkMitkRectangleProp
vtkMitkRenderProp

Tests which look extremely outdated and low coverage:
mitkVtkPropRenderer

Tests with rather medium coverage:
mitkVtkWidgetRendering (test seems okish, but what is the class used for?)
vtkMitkThickSlicesFilter

Different rendering tests with higher coverage exist for:
mitkImageVtkMapper2D

To sum up we have 30 classes and 4 interfaces-like classes. 4 classes of them have tests. 3 tests seem to need improvements. That means we need about 25 tests ;). Anyone is welcome to create a bug and a corresponding test for any of these classes.

Event Timeline

Updating target milestone

Most important classes are (but hard to test):
mitkBaseRenderer
mitkVtkPropRenderer

Easy to write but still important:
mitkPointSetVtkMapper3D & mitkPointSetGLMapper2D
mitkSurfaceGLMapper2D & mitkSurfaceVtkMapper3D

How to write a rendering test:
http://docs.mitk.org/nightly-qt4/RenderingTests.html

Anja and I wrote a test for the mitkSurfaceGLMapper2D and a core change request.

[e04165]: Merge branch 'bug-13690-SurfaceMapperTests'

Merged commits:

2013-05-29 16:27:20 Thomas Kilgus [f42e56]
New Hashvalue for new reference screen shots.


2013-05-29 15:30:40 Thomas Kilgus [67c86b]
Reactivated tests for surface texturing. Added two new tests for SurfaceGLMapper2D.

[dee281]: Merge branch 'bug-13690-SurfaceMapperTests'

Merged commits:

2013-06-03 10:34:19 Thomas Kilgus [311725]
COMP: Removed sphere test again. Not working yet.

[1b7d81]: Merge branch 'bug-13690-SurfaceMapperTests'

Merged commits:

2013-06-03 15:54:12 Thomas Kilgus [ae0fee]
COMP: Fixed boolean flag for saving the reference.

This bug could not be fixed within the 2013-06 release and has medium severity. Setting target milestone to unspecified.

This bug could not be fixed within the release 2013-06. Setting its target milestone to unspecified

This bug is still relevant and can be fixed after we have mitk::Equal methods.

I would like to prioritize this bug for the upcoming release.

Assigning to Sandy. She can push people to work on this or may decide to just close the bug.

User engelhsa has pushed new remote branch:

bug-13690-PlaneGeometryTest
engelhsa removed engelhsa as the assignee of this task.May 10 2017, 3:21 PM
engelhsa added a subscriber: engelhsa.